# 自动生成数据库表和sqlalchemy对应的Model
import subprocess

from config.mysql import DB_URL

if __name__ == '__main__':
    table = input("请输入表名：")
    out_file = f"photo_review/entity/{table}.py"
    command = f"sqlacodegen {DB_URL} --outfile={out_file} --tables={table}"

    try:
        subprocess.run(command, shell=True, check=True)
        print(f"{table}.py文件生成成功！请手动调整Base的声明！")
    except Exception as e:
        print(f"生成{table}.py文件时发生错误: {e}")
